"Failed to find a kernel to run the code. Please install the Jupyter extension"

Trying the interpreter mode and always get these messages when trying something… The thing is I installed the “Jupyter” extension already lol. I’m not familiar with Python though (using С#), just installed this extension but it didn’t help. Any tips?

1 Like

Have you installed Python?

Yes, I’ve already figured it out, thank you.

How did you fix this?
I have python and the extension installed on cursor
Still getting the same error

im getting this error too, i’ve installed python - is that documented as a requirement anywhere? cant find any references to this issue

@Niko_Bellic can you post your solution?

I don’t remember exactly, I asked the GPT chat for a step-by-step instruction. Besides just installing Python, I needed to install and check if Python and Jupyter Notebook are working correctly on my computer. For this, something had to be written in the command line. In short, it’s better to ask the chat again, it’s aware of this error - tell it that although the extension is installed in VSCODE, the error still occurs. And it will clarify the steps.

I found a temporary workaround

Tell the interpreter to use “python os module” when requesting changes

This accomplishes the same result

You can put in in settings->rules to make it default